## org.red5.server.api.stream
Interface IOnDemandStreamService

All Superinterfaces:
  IScopeService

All Known Implementing Classes:
  ApplicationAdapter, MultiThreadedApplicationAdapter

    public interface IOnDemandStreamService

extends IScopeService

Field Summary
`static String` `BEAN_NAME`

Method Summary
`IOnDemandStream` `getOnDemandStream(IScope scope, String name)` Get a stream that can be used for playback of the on-demand stream
`boolean` `hasOnDemandStream(IScope scope, String name)` Has the service an on-demand stream with the passed name?

Field Detail

### BEAN_NAME

    static final String BEAN_NAME

See Also:
  Constant Field Values

Method Detail

### hasOnDemandStream

    boolean hasOnDemandStream(IScope scope,
                              String name)

  Has the service an on-demand stream with the passed name?

  Parameters:
    `scope` - the scope to check for the stream
    `name` - the name of the stream
  Returns:
    true if the stream exists, false otherwise

### getOnDemandStream

    IOnDemandStream getOnDemandStream(IScope scope,
                                      String name)

  Get a stream that can be used for playback of the on-demand stream

  Parameters:
    `scope` - the scope to return the stream from
    `name` - the name of the stream
  Returns:
    the on-demand stream

Copyright © 2006-2010 The Red5 Project